From 512bcde157fbcb539853ec64ad29dcf42bc8acac Mon Sep 17 00:00:00 2001
From: Peti Gmri <gomoripeti@gmail.com>
Date: Thu, 8 Nov 2012 12:30:46 +0100
Subject: [PATCH] Fix Table Viewer refresh crash on no more existing ets
 tables

---
 lib/runtime_tools/src/observer_backend.erl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/runtime_tools/src/observer_backend.erl b/lib/runtime_tools/src/observer_backend.erl
index 01e99f3..9498412 100644
--- a/lib/runtime_tools/src/observer_backend.erl
+++ b/lib/runtime_tools/src/observer_backend.erl
@@ -83,7 +83,7 @@ get_table2(Parent, Table, Type) ->
 	       ets -> ets:info(Table, size);
 	       mnesia -> mnesia:table_info(Table, size)
 	   end,
-    case Size > 0 of
+    case Size =/= undefined andalso Size > 0 of
 	false ->
 	    Parent ! {self(), '$end_of_table'},
 	    normal;
-- 
1.7.12.4

